<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <title>CSS Selectors</title>
    <link rel="stylesheet" href="css/tag.css">
    <style>
        /* seleciona todos */
        /* *{
            color: #ff0;
            background-color: #f77;
        } */

        /* seleciona os elementos com a classe tag */
        /* .tag{
            color: #ff0;
            background-color: #f77;
        } */

        /* seleciona o elemento com o id aprovados */
        /* #aprovados{
            color: #ff0;
            background-color: #f77;
        } */

        /* pegar o elemento div que esteja diretamente dentro (próxima div dentro do id) do id aninhado */
        /* #aninhado > div{
            color: #ff0;
            background-color: #f77;
        } */

        /* pega o elemento do tipo section dentro do id aninhado */
        /* #aninhado section{
            color: #ff0;
            background-color: #f77;
        } */

        /* pega o elemento ul sempre que estiver precedido de p */
        /* p + ul{
            color: #ff0;
            background-color: #f77;
        } */

        /* seleciona o proximo ol encontrado após o p */
        /* p ~ ol{
            color: #ff0;
            background-color: #f77;
        } */

        /* pega todos os elementos com propriedade feira */
        /* [feira]{
            color: #ff0;
            background-color: #f77;
        } */

        /* pega todos os elementos com propriedade feira, cujo valor é casa*/
        /* [feira=casa]{
            color: #ff0;
            background-color: #f77;
        } */

        /* pega todos os elementos com propriedade feira, e contem 'empresa' como um dos valores */
        /* [feira~=empresa]{
            color: #ff0;
            background-color: #f77;
        } */

        /* pega todos os elementos com propriedade feira, e contem 'sa' como parte do valor */
        /* [feira*=sa]{
            color: #ff0;
            background-color: #f77;
        } */

        /* seleciona span sempre que for filho de alguem, entre '()' é definida a sequencia */
        /* span:nth-child(2){
            color: #ff0;
            background-color: #f77;
        }  */

        /* seleciona todos os filhos impares do elemento section */
        /* section > :nth-child(odd){
            color: #ff0;
            background-color: #f77;
        }  */

    </style>
</head>

<body>
    <div class='tag'>
        <div class='tag'>
            <p class='tag'>1</p>
            <ul class='tag' feira='casa'>
                <li>Arroz</li>
                <li>Feijão</li>
            </ul>
            <ul class='tag' feira='escritorio empresa'>
                <li>Café</li>
                <li>Água</li>
            </ul>
            <ol id='aprovados' class='tag'>
                <li>Maria</li>
                <li>Pedro</li>
                <li>Ana</li>
            </ol>
            <div id='aninhado' class='tag'>
                <div class="tag">
                    <section class='tag nolabel'>
                        <span class='tag'>1</span>
                        <p class='tag'>2</p>
                        <span class='tag'>3</span>
                    </section>
                    
                </div>
            </div>
        </div>
    </div>
    <script src="js/tag.js"></script>
</body>

</html>